import React from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
export const isFn = fn => typeof fn === 'function';
export const lazy = (fn, timeout = 100) => {
  const timer = setTimeout(() => {
    fn();
    clearTimeout(timer);
  }, timeout);
};
export const getColors = palette => {
  if (palette.length > 1) {
    const stops = palette.map(p => `${p.color} ${p.offset !== undefined ? `${p.offset * 100}%` : ''}`);
    return stops.join(',');
  }

  return '';
};
export const renderIcon = icon => {
  if (!icon) {
    return null;
  }

  return (icon === null || icon === void 0 ? void 0 : icon.type) === 'emoji' ? icon.value : /*#__PURE__*/_jsx("img", {
    src: icon.value
  });
};
export const isBrowser = Boolean(typeof window !== 'undefined' && window.document && window.document.createElement);