"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.renderIcon = exports.lazy = exports.isFn = exports.isBrowser = exports.getColors = void 0;

var _react = _interopRequireDefault(require("react"));

var _jsxRuntime = require("react/jsx-runtime");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const isFn = fn => typeof fn === 'function';

exports.isFn = isFn;

const lazy = (fn, timeout = 100) => {
  const timer = setTimeout(() => {
    fn();
    clearTimeout(timer);
  }, timeout);
};

exports.lazy = lazy;

const getColors = palette => {
  if (palette.length > 1) {
    const stops = palette.map(p => `${p.color} ${p.offset !== undefined ? `${p.offset * 100}%` : ''}`);
    return stops.join(',');
  }

  return '';
};

exports.getColors = getColors;

const renderIcon = icon => {
  if (!icon) {
    return null;
  }

  return (icon === null || icon === void 0 ? void 0 : icon.type) === 'emoji' ? icon.value : /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
    src: icon.value
  });
};

exports.renderIcon = renderIcon;
const isBrowser = Boolean(typeof window !== 'undefined' && window.document && window.document.createElement);
exports.isBrowser = isBrowser;