import React from 'react';
import { jsx as _jsx } from "react/jsx-runtime";
export var isFn = function isFn(fn) {
  return typeof fn === 'function';
};
export var lazy = function lazy(fn) {
  var timeout = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 100;
  var timer = setTimeout(function () {
    fn();
    clearTimeout(timer);
  }, timeout);
};
export var getColors = function getColors(palette) {
  if (palette.length > 1) {
    var stops = palette.map(function (p) {
      return "".concat(p.color, " ").concat(p.offset !== undefined ? "".concat(p.offset * 100, "%") : '');
    });
    return stops.join(',');
  }

  return '';
};
export var renderIcon = function renderIcon(icon) {
  if (!icon) {
    return null;
  }

  return (icon === null || icon === void 0 ? void 0 : icon.type) === 'emoji' ? icon.value : /*#__PURE__*/_jsx("img", {
    src: icon.value
  });
};
export var isBrowser = Boolean(typeof window !== 'undefined' && window.document && window.document.createElement);