import React, { FC, useEffect } from 'react';
import { createBlock } from '@modern-js-block/runtime';

export interface DivProps {
  style?: React.CSSProperties;
  className?: string;
  children?: React.ReactNode;
  onLoad?: () => void;
  onClick?: (e: React.MouseEvent) => void;
  onDoubleClick?: (e: React.MouseEvent) => void;
  onMouseDown?: (e: React.MouseEvent) => void;
  onMouseMove?: (e: React.MouseEvent) => void;
  onMouseUp?: (e: React.MouseEvent) => void;
  onMouseEnter?: (e: React.MouseEvent) => void;
  onMouseOut?: (e: React.MouseEvent) => void;
  onMouseLeave?: (e: React.MouseEvent) => void;
  onMouseOver?: (e: React.MouseEvent) => void;
  onFocus?: (e: React.FocusEvent) => void;
  onBlur?: (e: React.FocusEvent) => void;
  onKeyDown?: (e: React.KeyboardEvent) => void;
  onKeyUp?: (e: React.KeyboardEvent) => void;
  onKeyPress?: (e: React.KeyboardEvent) => void;
  [key: string]: any;
}

const Div: FC<DivProps> = (props = {}) => {
  const { children, onLoad, ...restProps } = props;
  useEffect(() => {
    onLoad?.();
  }, []);
  return (
    <div {...restProps}>
      {typeof children === 'function' ? children() : children}
    </div>
  );
};

export default createBlock<DivProps>({})(Div);
