import React from 'react';

export const isFn = (fn: any) => typeof fn === 'function';

export const lazy = (fn: () => void, timeout = 100) => {
  const timer = setTimeout(() => {
    fn();
    clearTimeout(timer);
  }, timeout);
};

export const getColors = (palette: Array<any>) => {
  if (palette.length > 1) {
    const stops = palette.map(
      p => `${p.color} ${p.offset !== undefined ? `${p.offset * 100}%` : ''}`,
    );
    return stops.join(',');
  }
  return '';
};

export const renderIcon = (icon?: {
  type: 'icon' | 'emoji';
  value: string;
}) => {
  if (!icon) {
    return null;
  }
  return icon?.type === 'emoji' ? icon.value : <img src={icon.value} />;
};

export const isBrowser = Boolean(
  typeof window !== 'undefined' &&
    window.document &&
    window.document.createElement,
);
